# Contributing

:+1::tada: First off, thanks for taking the time to contribute! :tada::+1:

There are many ways in which you can contribute, beyond writing code. The goal of this document is to provide a high-level overview of how you can get involved.

## Develop

```
pip install mkdocs 
pip install mkdocs-material

mkdocs serve
```

## Reporting Issues

Have you identified a reproducible problem? Have a feature request? We want to hear about it! Here's how you can make reporting your issue as effective as possible.

### Identify Where to Report

1. you can [send mail](mailto:liuyuqi.gov@msn.cn) to us.

2. you can creat a issue.

### Look For an Existing Issue

Before you create a new issue, please do a search in open issues to see if the issue or feature request has already been filed.

If you cannot find an existing issue that describes your bug or feature, create a new issue using the guidelines below.

### Writing Good Bug Reports and Feature Requests

File a single issue per problem and feature request. Do not enumerate multiple bugs or feature requests in the same issue.

Do not add your issue as a comment to an existing issue unless it's for the identical input. Many issues look similar, but have different causes.

The more information you can provide, the more likely someone will be successful at reproducing the issue and finding a fix.


## Pull Requests

When creating Pull Requests, follow the most [common good practices](https://gist.github.com/MarcDiethelm/7303312), 
respect the swiftlint static checks (modifications/exceptions may be discussed), and create an awesome description so 
we can understand it without asking any whys.

## Commit Messages

Commit messages matter. Aim to be succinct and descriptive at the same time. We consider as a good source 
[How to Write a Git Commit Message](https://chris.beams.io/posts/git-commit/) from Chris Beams.
# Thank You!

Your contributions to open source, large or small, make great projects like this possible. Thank you for taking the time to contribute.