
# github-actions
[![](https://img.shields.io/badge/Author-lyq-orange.svg)](https://git.yoqi.me/lyq)
[![](https://img.shields.io/badge/version-1.3.1-brightgreen.svg)](https://git.yoqi.me/lyq/github-actions-creator)


[![Open in Github Dev](https://img.shields.io/static/v1?label=Github%20Dev&message=Open&color=blue&logo=visualstudiocode)](https://github.dev/jianboy/github-actions-creator)

[![Open in Dev Containers](https://img.shields.io/static/v1?label=Dev%20Containers&message=Open&color=blue&logo=visualstudiocode)](https://vscode.dev/redirect?url=vscode://ms-vscode-remote.remote-containers/cloneInVolume?url=https://github.com/jianboy/github-actions-creator)

[![Open in GitHub Codespaces](https://github.com/codespaces/badge.svg)](https://codespaces.new/jianboy/github-actions-creator)

## 前言

本项目总结各语言，场景使用构建配置，包括github action,gitlab ci, jenkins, travis ci, circle ci, drone ci, teamcity, bamboo, codeship, semaphore, buildkite, wercker, screwdriver, concourse, gocd, codefresh, buddy, shippable, bitrise, buddy, azure devops, aws codebuild, google cloud build, codebuild, codepipeline, codecommit, codeartifact, codeg 等等

github action 可以替代 ci/cd 持续集成，比国内各平台基于 Gitlab/Jenkins 要好多了，配置简单。国内 coding.net 良心私有项目可以用之替代github 。

GitHub action 基于 yaml 语法，超级简单，但是 github steps 构建每个步骤不同，有一些action概念，关键词。本项目将基于自身项目架构经验，做一个模板文件，小修改即可立马使用。

## 详情


**runs-on** **可选：**

| **名称**                                       | [已安装](https://github.com/actions/virtual-environments/blob/master/images/linux/Ubuntu1804-README.md) |
| ---------------------------------------------- | ------------------------------------------------------------ |
| windows-2019                                   | docker/vs   2019/**android**/ruby/git/go/php/.net/minGW/miniconda/Alibaba Cloud CLI |
| **ubuntu-latest** or   ubuntu-18.04   ubuntu-16.04 | docker/kubect/php/python/java/**android**/zip/.net/powershell/mysql/ms   sql/nodejs/webpack/yarn/gradle/maven/ant/ |
| macos-latest or   macos-10.15                  | php/python/go/java/yarn/git/**xcode**/android                |

### **azure 部分**

关于 azure 云平台配合 github 相关 CI/CD配置。

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
| azure\.github\workflow\deploy-app-to-azure.yml | 部署resources app到azure  |
| azure\.github\workflow\set-up-azure-resources.yml                  |  设置resources资源                |

### **Vue 部分**

使用 github action 自动构建/部署 Vue 项目。

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |


**Python 部分**

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |



**Go 部分**

使用 github action 编译/发布 go 项目，以及使用 go web 功能。

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |



**PHP 部分**

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |


**Java 部分**

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
|  |   |


**Android 部分**

本项目刚启动时候，很多 android 使用 github action 自动构建的很少，本项目将归纳基于 eclipse 和 android studio 等开发的 android 项目使用 github action 自动构建方案。

注意： 使用 eclipse IDE 开发的 andorid 项目，其实采用的是 ant 构建。而采用 android studio IDE 开发的项目采用的是 gradle 构建。

| **位置**                                       | 描述 |
| ---------------------------------------------- | ------------------------------------------------------------ |
| android-studio\.github\workflows\main.yml |  默认 android studio 开发的项目采用这个 action |
| android-eclipse\.github\workflows\main.yml |  采用 eclipse 开发的采用这个 action |


20 年 vscode 开源的容器demo项目，修改为国内镜像。如今，使用通用镜像即可。
```
git clone https://github.com/Microsoft/vscode-remote-try-node
git clone https://github.com/Microsoft/vscode-remote-try-python
git clone https://github.com/Microsoft/vscode-remote-try-go
git clone https://github.com/Microsoft/vscode-remote-try-java
git clone https://github.com/Microsoft/vscode-remote-try-dotnetcore
git clone https://github.com/Microsoft/vscode-remote-try-php
git clone https://github.com/Microsoft/vscode-remote-try-rust
git clone https://github.com/Microsoft/vscode-remote-try-cpp

```



## License

Copyright (c) 2021 [liuyuqi.gov@msn.cn](mailto:liuyuqi.gov@msn.cn). All rights reserved.

Licensed under the [Apache 2.0](LICENSE.md) license.


